+++
title = "2023 May Update"
date = 2023-05-01 12:00:00
description = "We are so fucking back"
tags = ["lightwallet", "lws"]
author = "lza_menace"
author_url = "https://lzahq.tech"
+++

<img src="/mood_meter.jpg" alt="We are so fucking back" width="300px">

Took a little break. Crazy few years, but excited to get back to it. Lots of updates and hidden gems that have been developed or uncovered. Let's get into it, covering the items previously noted in this blog.

# Updates

## LWS

`vtnerd` has made improvements to the light-wallet server which includes now a REST API to administer the LWS backend to add new accounts and rescan: [monero-lws](https://github.com/vtnerd/monero-lws/blob/feature/no_auth_admin/docs/administration.md). This unlocks the potential to have a LWS running at home or on a VPS which you can manage the entirety in some frontend, like a website or mobile app. `CryptoGrampy` has already started the process of making a client side application which uses this new API: [monero-lws-admin](https://github.com/CryptoGrampy/monero-lws-admin)

Looking forward to seeing the frontends and apps by power users who use LWS.

## Patreon

I was able to get a working prototype for this "Patreon" like site with non-custodial, p2p subscriptions. It never left prototype stage though.

However, community dev `Spirobel` launched his own service for exactly this, called [monero-discourse-subscriptions](https://github.com/spirobel/monero-discourse-subscriptions) ([announcement w/ demo](https://twitter.com/spirobel/status/1595949928634667008?s=20))

I haven't tested it or looked into it much. Would be great to see usage of the platform and how things have gone so far since launch.

## XMR Sweeper

The original idea for this was a way to break up your outputs to have smaller, more manageable chunks so that spending didn't lock your funds. Since that time there have been some developments to improve the experience in exactly that way:

* [Feather Wallet](https://featherwallet.org/changelog/) implemented a very nice coin control feature which allows you to take an output and churn it (send to yourself) and break it into N number of equal pieces. This works very well.
* [mychurnero](https://github.com/bonedaddy/mychurnero) is an experimental software which offers a command line tool and daemon process that interacts with `monero-wallet-rpc` to scan outputs and break them up on an ad-hoc or recurring process. I haven't used it, but it looks pretty cool.

<img src="/feather_churn.png" alt="Feather Wallet churning an output into 4 equal pieces" width="450px">

## Gifting Monero

This is still largely the same - the safest, non-custodial way to gift Monero is to get people to download an app (Monerujo, Cake, Mysu, etc) and send it, or give them a paper wallet (w/ seed) and send funds to it.

I did find one site that offers it, but I haven't tried it or looked into it much: [GiftMonero.app](https://www.giftmonero.app/)


# Next

LWS is probably the most interesting thing to me. I want to build a whole frontend system for a web wallet so that I could manage all of my wallets and keep them synced up in one place (securely). A mobile application would be amazing there as well, but would only be applicable for power users who are comfortable setting up a VPN to their home network or VPS to enable this functionality on the go.

Secondly, I want to improve documentation. There are a lot of sites with info about Monero but they're very scattered. I want to start including them on this site and setting up somewhat of a webring with those admins.