+++
title = "About"
description = "About the Monero Punks Collective workgroup"
weight = 3
+++

There are many individuals and organizations building tools and services for the [Monero project](https://github.com/monero-project/monero), but their contributions get lost in the noise since the largest social gatherings (Reddit, Twitter) mostly discuss price, trading, marketing, art, and stickers (hype). Additionally, there aren't many good places where tools and services are being aggregated; [getmonero.org](https://getmonero.org) shows mostly merchants. There's not much detail around the general projects and tools being developed in the ecosystem for those with the inclination to tinker.

The Monero Punks workgroup was started as a way to rally the builders in the Monero community to showcase and highlight their work efforts and enable more collaboration.


# Who We Are

* tinkerers
* software developers and engineers
* system administrators
* enthusiasts
* entrepreneurs

# What We Are About

* useful technology
* full stack design and implementation
* modern frameworks
* security at all layers
* everything as code

# What We Live By

* KISS
* RTFM
* leave it in better shape than you found it
* fail fast
